Bug 817290 - no obvious way to shutdown or restart machine
no obvious way to shutdown or restart machine
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: design (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Seth Nickell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-28 12:53 EDT by hal
Modified: 2013-08-01 07:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:00:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hal 2012-04-28 12:53:22 EDT
Description of problem: There's no readily apparent way to restart or shutdown from a Fedora 17 default desktop.  There don't appear to be any menu options for this under the logged-in user name and searching activities/applications for restart produces nothing.


Version-Release number of selected component (if applicable):  Fedora 17 beta


How reproducible: always


Steps to Reproduce:
1.  Log in
2.  Try to find some menu entry or icon that makes it possible to restart or shutdown
3.
  
Actual results:  Can't find anything, or at least can't figure out where to look.


Expected results:  There ought to be some way to restart or shutdown from inside the GUI.


Additional info:
Comment 1 Mats Wichmann 2012-05-17 12:37:36 EDT
Try gnome-shell-extension-alternative-status-menu

why this is not default... who knows.
Comment 2 hal 2012-05-18 01:49:27 EDT
It ought to be the default.

If not, it ought to at least be easily discoverable how to set it from inside the GUI.  There's nothing in system settings that looks remotely relevant.  If I poke around in a terminal window there are two commands that start with gnome-shell-...: gnome-shell-extension-prefs and gnome-shell-extension-tool, neither of which seem to be relevant.

I think I could track this down if I spend the time, but this is a windows-like frustration: there's supposed to be an option somewhere that might do the right thing if the user can find it.  Even windows has shut down and restart in the "start" menu.  Those are common functions that ought to be easy to find.  If not, I certainly wouldn't blame users if they just power off the computer in frustration and hope for the best when they restart.

Please fix? Thanks.
Comment 3 Charles R. Anderson 2012-08-14 18:02:58 EDT
The Gnome 3 developers intended there to not be an option to restart or shutdown from a logged in user.  If you logout first, then there is a shutdown/restart button on the GDM login screen.  If you disagree with the Gnome 3 developers' decision, you can install Alternative Status Menu, or argue with them in the upstream Gnome bugzilla.  I don't think Fedora will change the defaults, but this is my opinion and hopefully a helpful explanation of the situation.
Comment 4 Fedora End Of Life 2013-07-03 23:27:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 07:00:19 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.